{% extends "base.html" %}

{% block content %}
  <div class="container">
    <div class="row mt-4">
      <div class="col-lg-10 col-md-9 col-sm-8 col-7">
        <h1>{{ client.name }}</h1>
      </div>
      <div class="col-lg-2 col-md-3 col-sm-4 col-5">
        {% if client.records %}
          <button id="start-export" class="btn btn-primary btn-block" style="cursor: pointer;">Export</button>
        {% endif %}
      </div>
    </div>
    <div class="row">
      <div class="col-12 d-none" id="status-div">
        <!-- <div class="progress">
          <div class="progress-bar progress-bar-striped progress-bar-animated" 
          id="status-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" 
          aria-valuemax="100" style="width: 0%"></div>
        </div> -->
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <table class="table table-hover table-responsive-sm">
          <thead>
            <tr>
              <th scope="col">#</th>
              <th scope="col">Type</th>
              <th scope="col">Date</th>
              <th scope="col">Amount</th>
              <th scope="col">Edit</th>
              <th scope="col">Delete</th>
            </tr>
          </thead>
          <tbody>
            {% for record in client.records %}
              <tr>
                <th scope="row">{{ loop.index }}</th>
                <td>{{ record.type_ }}</td>
                <td>{{ record.date_transaction.date() }}</td>
                <td>{{ record.amount }}</td>
                {% if record.type_ == "Sale" %}
                <td>
                  <a href="{{ url_for('sale_edit', record_id=record.id) }}?next=client&id={{client.id}}">
                    <i class="fas fa-edit text-warning"></i>
                  </a>
                </td>
                <td>
                  <form method="POST" action="{{ url_for('sale_delete', record_id=record.id) }}?next=client&id={{client.id}}">
                    <button type="submit" class="no-submit"><i class="fas fa-trash-alt text-danger"></i></button>
                  </form>
                </td>
                {% elif record.type_ == "Deposit" %}
                <td>
                  <a href="{{ url_for('deposit_edit', record_id=record.id) }}?next=client&id={{client.id}}">
                    <i class="fas fa-edit text-warning"></i>
                  </a>
                </td>
                <td>
                  <form method="POST" action="{{ url_for('deposit_delete', record_id=record.id) }}?next=client&id={{client.id}}">
                    <button type="submit" class="no-submit"><i class="fas fa-trash-alt text-danger"></i></button>
                  </form>
                </td>
                {% endif %}
              </tr>
            {% endfor %}
            {% if not client.records %}
              <tr>
                <td colspan="6" class="text-center"><b>No record available.</b></td>
              </tr>
            {% endif %}
          </tbody>
        </table>
      </div>
    </div>
  </div>
{% endblock %}

{% block scripts %}
  <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
  <script src="{{ url_for('static', filename='js/export_client.js') }}"></script>
  <script>
    function start_task() {
      // send ajax POST request to start background job
      $.ajax({
          type: 'POST',
          url: "{{ url_for('export_client', client_id=client.id) }}",
          success: function(data, status, request) {
              status_url = request.getResponseHeader('Location');
              $("#start-export").html('Exporting');
              document.getElementById("start-export").disabled = true;
              document.getElementById("status-div").classList.remove('d-none');
              document.getElementById("status-div").classList.add('d-block');
              document.getElementById("status-div").innerHTML = '<div class="progress"><div class="progress-bar progress-bar-striped progress-bar-animated" id="status-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%"></div></div>'
              $('#status-bar').attr('aria-valuenow', 0);
              update_progress(status_url);
          },
          error: function() {
              alert('Unexpected error');
          }
      });
    }
  </script>
{% endblock %}